.TH vncconnect 1 "28 February 2003" "RealVNC Ltd" "Virtual Network Computing"
.SH NAME
vncconnect \- tell a VNC server to connect to a viewer
.SH SYNOPSIS
.B vncconnect
[\fB\-display\fP \fIXdisplay\fP] 
.IR host [: port ]
.br
.B vncconnect
[\fB\-display\fP \fIXdisplay\fP] 
.B \-away
.br
.B vncconnect
[\fB\-display\fP \fIXdisplay\fP] 
.B \-deferupdate \fItime\fP
.SH DESCRIPTION
.B vncconnect
tells an Xvnc server to make a "reverse" connection to a listening VNC viewer
(normally connections are made the other way round - the viewer connects to the
server).  Simply run:

.RS
.B vncconnect
.I host
.RE

where \fIhost\fP is the host where the listening viewer is running. If it's not
listening on the default port of 5500, you can specify \fIhost:port\fP instead.
\fBvncconnect\fP is just a simple X program which sets a property on the root
window - it is Xvnc which actually makes the connection.  Any feedback about
the success or failure of the connection will appear in the log file for Xvnc
rather than on the terminal where you run vncconnect.

Note also that the DISPLAY environment variable or the \fB\-display\fP option
must be set as appropriate to control Xvnc.  If you run it on an ordinary X
server then nothing will happen.

.SH OPTIONS
.TP
.B \-display \fIXdisplay\fP
Specifies the Xvnc server to control.

.TP
.B \-away
Instead of connecting, this causes Xvnc to disconnect from all viewers so that
the VNC desktop is not displayed anywhere.  Note that this option will have no
effect on Xvnc servers prior to version 3.3.4.

.TP
.B \-deferupdate \fItime\fP
This option has nothing to do with connecting, but is put here to avoid the
need for a separate configuration utility.  It changes Xvnc's "deferred update"
time on the fly - see \fBXvnc\fP(1) for more details.  Note that
this option will have no effect on Xvnc servers prior to version 3.3.7.

.SH SEE ALSO
.BR vncpasswd (1),
.BR vncviewer (1),
.BR vncserver (1),
.BR Xvnc (1)
.br
http://www.realvnc.com

.SH AUTHOR
Tristan Richardson, RealVNC Ltd.

VNC was originally developed by the RealVNC team while at Olivetti Research Ltd
/ AT&T Laboratories Cambridge.  It is now being maintained by RealVNC Ltd.  See
http://www.realvnc.com for details.
